Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.service
Interface CardServiceInterface

All Known Subinterfaces:
  AppletAccessCardService, AppletManagerCardService, AutCardService, CHVCardService, DatabaseCardService, EMVAppletAccessCardService, FileAccessCardService, FileSystemCardService, KeyGenerationCardService, KeyImportCardService, SignatureCardService

public abstract interface CardServiceInterface

An interface to the public methods in `CardService`. The optional parts of OCF define interfaces to standard card services, for example for file access. Since interfaces cannot extend classes, this interface provides access to the public methods in class `SmartCard`. It will be extended by the standard service interfaces.
Without this interface, applications would have to downcast from a particular interface to class `CardService` in order to access these methods. The exception to this rule is the method `getCHVDialog`, which is not intended to be invoked by an application.

See Also:
  `CardService`, `CardService.getCHVDialog()`

Method Summary
`opencard.core.service.SmartCard` | `getCard()` Returns the corresponding smartcard object.
`void` | `setCHVDialog(opencard.core.service.CHVDialog dialog)` Provides an application-specific dialog for CHV input.

Method Detail

### setCHVDialog

    public void setCHVDialog(opencard.core.service.CHVDialog dialog)

  Provides an application-specific dialog for CHV input. If an application does not set it's own dialog, a default dialog will be used if password input is required.
  Parameters:
    `dialog` - the dialog to use for querying a password or PIN
  See Also:
    `CardService.setCHVDialog(opencard.core.service.CHVDialog)`

### getCard

    public opencard.core.service.SmartCard getCard()

  Returns the corresponding smartcard object. Every service has been created using a particular instance of `SmartCard`. This method can be used to obtain the instance of `SmartCard` that has been used to create the service for which it is invoked.
  Returns:
    the smartcard object associated with this service
  See Also:
    `CardService.getCard()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD